Skip to main content
DELETE
/
webhooks
/
{webhookId}
Delete a webhook
curl --request DELETE \
  --url https://api.useproxy.ai/v1/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true,
  "secret": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Headers

Idempotency-Key
string

Unique key for idempotent requests (24-hour cache)

Path Parameters

webhookId
string
required

Webhook ID (e.g., whk_...)

Response

Webhook disabled

id
string
required
url
string<uri>
required

Webhook endpoint URL

events
string[]
required

Event types to subscribe to

enabled
boolean
required
secret
string

Webhook signing secret

createdAt
string<date-time> | null
updatedAt
string<date-time> | null